### Function

# GLib pattern_match_string

deprecated: 2.70 since: 2.0

#### Declaration

    gboolean
    g_pattern_match_string (
      GPatternSpec* pspec,
      const gchar* string
    )

#### Description

Matches a string against a compiled pattern. If the string is to be matched against more than one pattern, consider using `g_pattern_match()` instead while supplying the reversed string.

Available since: 2.0

Deprecated since: 2.70

Use `g_pattern_spec_match_string()` instead.

This function is not directly available to language bindings.

#### Parameters

`pspec`

  Type: `GPatternSpec`

  A `GPatternSpec`.

  The data is owned by the caller of the function.

`string`

  Type: `const gchar*`

  The UTF-8 encoded string to match.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `string` matches `pspec`.